<html>
<head>
<title>Ogre::ScriptToken Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1ScriptToken.html">ScriptToken</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ScriptToken Struct Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ScriptToken" -->
<p>This struct represents a token, which is an ID'd lexeme from the parsing input stream.  
 <a href="structOgre_1_1ScriptToken.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreScriptLexer_8h_source.html">OgreScriptLexer.h</a>&gt;</code></p>

<p><a href="structOgre_1_1ScriptToken-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ScriptToken.html#ae229067d36cb90679ff2cbfc6d0ac59d">lexeme</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the lexeme for this token.  <a href="#ae229067d36cb90679ff2cbfc6d0ac59d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ScriptToken.html#a620d045e9cea2ce41df4c5ec1b2e0d61">file</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ScriptToken.html#a3c41790bd168ff84d8558ed1597daa82">type</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is the id associated with the lexeme, which comes from a lexeme-token id mapping.  <a href="#a3c41790bd168ff84d8558ed1597daa82"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ScriptToken.html#a83500d1c1b1528eca630836658a56f90">line</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This holds the line number of the input stream where the token was found.  <a href="#a83500d1c1b1528eca630836658a56f90"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This struct represents a token, which is an ID'd lexeme from the parsing input stream. </p>

<p>Definition at line <a class="el" href="OgreScriptLexer_8h_source.html#l00065">65</a> of file <a class="el" href="OgreScriptLexer_8h_source.html">OgreScriptLexer.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a620d045e9cea2ce41df4c5ec1b2e0d61"></a><!-- doxytag: member="Ogre::ScriptToken::file" ref="a620d045e9cea2ce41df4c5ec1b2e0d61" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ScriptToken.html#a620d045e9cea2ce41df4c5ec1b2e0d61">Ogre::ScriptToken::file</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptLexer_8h_source.html#l00068">68</a> of file <a class="el" href="OgreScriptLexer_8h_source.html">OgreScriptLexer.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae229067d36cb90679ff2cbfc6d0ac59d"></a><!-- doxytag: member="Ogre::ScriptToken::lexeme" ref="ae229067d36cb90679ff2cbfc6d0ac59d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1ScriptToken.html#ae229067d36cb90679ff2cbfc6d0ac59d">Ogre::ScriptToken::lexeme</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is the lexeme for this token. </p>

<p>Definition at line <a class="el" href="OgreScriptLexer_8h_source.html#l00068">68</a> of file <a class="el" href="OgreScriptLexer_8h_source.html">OgreScriptLexer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a83500d1c1b1528eca630836658a56f90"></a><!-- doxytag: member="Ogre::ScriptToken::line" ref="a83500d1c1b1528eca630836658a56f90" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="structOgre_1_1ScriptToken.html#a83500d1c1b1528eca630836658a56f90">Ogre::ScriptToken::line</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This holds the line number of the input stream where the token was found. </p>

<p>Definition at line <a class="el" href="OgreScriptLexer_8h_source.html#l00072">72</a> of file <a class="el" href="OgreScriptLexer_8h_source.html">OgreScriptLexer.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3c41790bd168ff84d8558ed1597daa82"></a><!-- doxytag: member="Ogre::ScriptToken::type" ref="a3c41790bd168ff84d8558ed1597daa82" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="el" href="structOgre_1_1ScriptToken.html#a3c41790bd168ff84d8558ed1597daa82">Ogre::ScriptToken::type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is the id associated with the lexeme, which comes from a lexeme-token id mapping. </p>

<p>Definition at line <a class="el" href="OgreScriptLexer_8h_source.html#l00070">70</a> of file <a class="el" href="OgreScriptLexer_8h_source.html">OgreScriptLexer.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreScriptLexer_8h_source.html">OgreScriptLexer.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:06
</p>
</body>
</html>
